org.apache.poi.hpsf

## Class NoSingleSectionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.poi.hpsf.HPSFRuntimeException
        - - org.apache.poi.hpsf.NoSingleSectionException

- All Implemented Interfaces:
    java.io.Serializable

      public class NoSingleSectionException
      extends HPSFRuntimeException

  This exception is thrown if one of the `PropertySet`'s convenience methods that require a single `Section` is called and the `PropertySet` does not contain exactly one `Section`.

  The constructors of this class are analogous to those of its superclass and documented there.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoSingleSectionException()` Constructor
    `NoSingleSectionException(java.lang.String msg)` Constructor
    `NoSingleSectionException(java.lang.String msg, java.lang.Throwable reason)` Constructor
    `NoSingleSectionException(java.lang.Throwable reason)` Constructor

  - ### Method Summary

    - ### Methods inherited from class org.apache.poi.hpsf.HPSFRuntimeException

      `getReason`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoSingleSectionException

          public NoSingleSectionException()

      Constructor

    - #### NoSingleSectionException

          public NoSingleSectionException(java.lang.String msg)

      Constructor

      Parameters:
        `msg` - The exception's message string

    - #### NoSingleSectionException

          public NoSingleSectionException(java.lang.Throwable reason)

      Constructor

      Parameters:
        `reason` - This exception's underlying reason

    - #### NoSingleSectionException

          public NoSingleSectionException(java.lang.String msg,
                                          java.lang.Throwable reason)

      Constructor

      Parameters:
        `msg` - The exception's message string
        `reason` - This exception's underlying reason

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.